Skip to content

Update file

Request

Partially updates an existing File. Only provided fields will be updated.

Security
bearer
Path
siteIdnumberrequired

Site identifier

fileIdstringrequired

File unique identifier (UUID)

Bodyapplication/jsonrequired
downloadUrlstring

URL that can be used to download the file content.

Example:"https://example.com"
extensionsobject

Vendor- or practice-specific extensions.

isActiveboolean

Whether the file is active and available for use.

Example:true
mimeTypestring

MIME type of the file, e.g. 'application/pdf'.

Example:"example"
namestring

Human-readable file name, typically including extension.

Example:"Example Name"
notesstring

Free-text notes about the file.

Example:"Example description"
sizeBytesnumber

Size of the file in bytes.

Example:1.23
curl -i -X PATCH \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/file/{fileId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "downloadUrl": "https://example.com",
    "extensions": {},
    "isActive": true,
    "mimeType": "example",
    "name": "Example Name",
    "notes": "Example description",
    "sizeBytes": 1.23
  }'

Responses

File updated successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when the file record was created.

Example:"2025-01-01T00:00:00.000Z"
downloadUrlstringrequired

URL that can be used to download the file content.

Example:"https://example.com"
extensionsobjectrequired

Vendor- or practice-specific extensions.

fileIdstringrequired

Canonical identifier for the file.

Example:"123e4567-e89b-12d3-a456-426614174000"
isActivebooleanrequired

Whether the file is active and available for use.

Example:true
mimeTypestringrequired

MIME type of the file, e.g. 'application/pdf'.

Example:"example"
namestringrequired

Human-readable file name, typically including extension.

Example:"Example Name"
notesstringrequired

Free-text notes about the file.

Example:"Example description"
sizeBytesnumberrequired

Size of the file in bytes.

Example:1.23
updatedAtstring, (date-time)required

Timestamp when the file record was last modified.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "downloadUrl": "https://example.com", "extensions": {}, "fileId": "123e4567-e89b-12d3-a456-426614174000", "isActive": true, "mimeType": "example", "name": "Example Name", "notes": "Example description", "sizeBytes": 1.23, "updatedAt": "2025-01-01T00:00:00.000Z" }